[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Assign

Assign another tree

## Declaration

Source position: avl_tree.pp line 132

`public procedure TAVLTree.Assign(`
`aTree: TAVLTree`
`); virtual;`

## Arguments

`aTree` |  | Tree to copy data from

## Description

Assign copies all data from aTree to the current tree if they are not equal. The current tree is cleared first. Note that the compare function(s) and class node are not copied, only the data.

## Errors

If you pass nil, an exception is raised.

## See also

TAVLTree.IsEqual |  | Check whether 2 tree instances are equal.